## python-os-net-config 0.1.0

=== requirements.txt ===
pbr>=0.6,!=0.7,<1.0
anyjson>=0.3.3
Babel>=0.9.6
six>=1.6.0
eventlet>=0.13.0
iso8601>=0.1.9
netaddr>=0.7.6
oslo.config>=1.2.0
PyYAML>=3.1.0

=== debian/changelog ===
python-os-net-config (0.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #771072)

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Nov 2014 22:43:39 +0800

=== debian/control ===
Source: python-os-net-config
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr,
               python3-setuptools
Build-Depends-Indep: python-anyjson (>= 0.3.3),
                     python-babel (>= 1.3),
                     python-coverage (>= 3.6),
                     python-eventlet (>= 0.13.0),
                     python-fixtures (>= 0.3.14),
                     python-iso8601 (>= 0.1.9),
                     python-mock (>= 1.0),
                     python-mox (>= 0.5.3),
                     python-netaddr,
                     python-oslo.config,
                     python-oslosphinx,
                     python-six (>= 1.6.0),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 0.9.32),
                     python-yaml,
                     subunit,
                     testrepository (>= 0.0.17)
X-Python-Version: >= 2.7
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-os-net-config.git
Vcs-Git: git://anonscm.debian.org/openstack/python-os-net-config.git
Homepage: http://git.openstack.org/cgit/openstack/os-net-config

Package: python-os-net-config
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-anyjson (>= 0.3.3),
         python-babel (>= 1.3),
         python-eventlet (>= 0.13.0),
         python-iso8601 (>= 0.1.9),
         python-netaddr,
         python-oslo.config,
         python-pbr,
         python-six (>= 1.6.0),
         python-yaml,
         ${misc:Depends},
         ${python:Depends}
Suggests: python-os-net-config-doc
Description: OpenStack network configuration - Python 2.x
 The core aim of this project is to allow fine grained (but extendable)
 configuration of the networking parameters for a network host. The project
 consists of:
  * A CLI (os-net-config) which provides configuration via a YAML or JSON file
    formats. By default os-net-config uses a YAML config file located at
    /etc/os-net-config/config.yaml. This can be customized via the
    --config-file CLI option.
  * A Python library which provides configuration via an object model.
 .
 This package contains the Python 2.x module.

Package: python-os-net-config-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: OpenStack network configuration - doc
 The core aim of this project is to allow fine grained (but extendable)
 configuration of the networking parameters for a network host. The project
 consists of:
  * A CLI (os-net-config) which provides configuration via a YAML or JSON file
    formats. By default os-net-config uses a YAML config file located at
    /etc/os-net-config/config.yaml. This can be customized via the
    --config-file CLI option.
  * A Python library which provides configuration via an object model.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
#PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/<please-user>/os-net-config.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-os-net-config; \
	done
#	set -e ; for pyvers in $(PYTHON3S); do \
#		python$$pyvers setup.py install --install-layout=deb \
#			--root $(CURDIR)/debian/python3-os-net-config; \
#	done
	rm -rf $(CURDIR)/debian/python*-os-net-config/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "===> Running tests"
	set -e && for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit || true ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats || true ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-os-net-config-doc/usr/share/doc/python-os-net-config-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/o/os-net-config os-net-config-(.*).tar.gz
